Bug 545400 - libvirt segfaults on virt-viewer connection
libvirt segfaults on virt-viewer connection
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Richard W.M. Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-08 08:31 EST by Sven Lankes
Modified: 2010-02-23 03:34 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-10 12:01:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Backtrace (4.08 KB, text/plain)
2009-12-08 08:31 EST, Sven Lankes
no flags Details

  None (edit)
Description Sven Lankes 2009-12-08 08:31:32 EST
Created attachment 376900 [details]
Backtrace

Description of problem:

When I try to connect to a remote f12 vm from my local f12 using virt-viewer and ssh, libvirt segfaults.

Version-Release number of selected component (if applicable):

libvirt-0.7.1-15.fc12.x86_64
virt-viewer-0.2.0-1.fc12.x86_64

How reproducible:

virt-viewer -c qemu+ssh://root@host dns

Dec  8 14:02:08 frooknuckle kernel: libvirtd[5848]: segfault at 0 ip 0000003a8bb1bdb6 sp 00007fa6cff82aa8 error 4 in libc-2.11.
so[3a8ba00000+16f000]
Comment 1 Richard W.M. Jones 2009-12-10 09:41:03 EST
Here's where it fails:

#0  __strcmp_sse42 () at ../sysdeps/x86_64/multiarch/strcmp.S:129
#1  0x000000000043111f in qemudOpen (conn=0x7fffe4000960, auth=<value optimized out>, flags=<value optimized out>)
    at qemu_driver.c:2835

I suspect that conn->uri->path is NULL.

Does it work if you use a URI with a trailing slash, ie:

virt-viewer -c qemu+ssh://root@host/ dns
Comment 2 Richard W.M. Jones 2009-12-10 09:41:32 EST
Also try:

virt-viewer -c qemu+ssh://root@host/system dns
Comment 3 Sven Lankes 2009-12-10 10:54:00 EST
> Does it work if you use a URI with a trailing slash, ie:

virt-viewer -c qemu+ssh://root@host/ dns

results in:

error : qemudOpen:2839 : internal error unexpected QEMU URI path '/', try qemu:///system

no segfault, but no connection either

> Also try:
> virt-viewer -c qemu+ssh://root@host/system dns  

That one works. No segfault.
Comment 4 Richard W.M. Jones 2009-12-10 11:40:38 EST
Patch posted upstream.
Comment 6 Catalin BOIE 2010-02-23 03:34:01 EST
Can we have an updated version in F12, please?
We are affected by this bug: libvirtd does not start (segmentation fault).

Note You need to log in before you can comment on or make changes to this bug.